PLplot: plf2ops.c File Reference

PLplot 5.15.0

Functions | Variables
plf2ops.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Functions
static PLFLT | plf2ops_c_get (PLPointer p, PLINT ix, PLINT iy)
static PLFLT | plf2ops_c_f2eval (PLINT ix, PLINT iy, PLPointer p)
static PLFLT | plf2ops_c_set (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_c_add (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_c_sub (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_c_mul (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_c_div (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLINT | plf2ops_c_isnan (PLPointer p, PLINT ix, PLINT iy)
static void | plf2ops_c_minmax (PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
PLF2OPS | plf2ops_c ()
static PLFLT | plf2ops_grid_c_get (PLPointer p, PLINT ix, PLINT iy)
static PLFLT | plf2ops_grid_c_f2eval (PLINT ix, PLINT iy, PLPointer p)
static PLFLT | plf2ops_grid_c_set (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_c_add (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_c_sub (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_c_mul (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_c_div (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLINT | plf2ops_grid_c_isnan (PLPointer p, PLINT ix, PLINT iy)
static void | plf2ops_grid_c_minmax (PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
PLF2OPS | plf2ops_grid_c ()
static PLFLT | plf2ops_grid_row_major_get (PLPointer p, PLINT ix, PLINT iy)
static PLFLT | plf2ops_grid_row_major_f2eval (PLINT ix, PLINT iy, PLPointer p)
static PLFLT | plf2ops_grid_row_major_set (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_row_major_add (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_row_major_sub (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_row_major_mul (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_row_major_div (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLINT | plf2ops_grid_row_major_isnan (PLPointer p, PLINT ix, PLINT iy)
static void | plf2ops_grid_xxx_major_minmax (PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
PLF2OPS | plf2ops_grid_row_major ()
static PLFLT | plf2ops_grid_col_major_get (PLPointer p, PLINT ix, PLINT iy)
static PLFLT | plf2ops_grid_col_major_f2eval (PLINT ix, PLINT iy, PLPointer p)
static PLFLT | plf2ops_grid_col_major_set (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_col_major_add (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_col_major_sub (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_col_major_mul (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLFLT | plf2ops_grid_col_major_div (PLPointer p, PLINT ix, PLINT iy, PLFLT z)
static PLINT | plf2ops_grid_col_major_isnan (PLPointer p, PLINT ix, PLINT iy)
PLF2OPS | plf2ops_grid_col_major ()

## Variables
static plf2ops_t | s_plf2ops_c
static plf2ops_t | s_plf2ops_grid_c
static plf2ops_t | s_plf2ops_grid_row_major
plf2ops_t | s_plf2ops_grid_col_major

## Function Documentation

## ◆ plf2ops_c()

PLF2OPS plf2ops_c | ( | void |  | ) |

Definition at line 126 of file plf2ops.c.

## ◆ plf2ops_c_add()

static PLFLT plf2ops_c_add | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 53 of file plf2ops.c.

## ◆ plf2ops_c_div()

static PLFLT plf2ops_c_div | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 71 of file plf2ops.c.

## ◆ plf2ops_c_f2eval()

static PLFLT plf2ops_c_f2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | p
| ) |  |
| static

Definition at line 41 of file plf2ops.c.

## ◆ plf2ops_c_get()

static PLFLT plf2ops_c_get | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 35 of file plf2ops.c.

## ◆ plf2ops_c_isnan()

static PLINT plf2ops_c_isnan | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 77 of file plf2ops.c.

## ◆ plf2ops_c_minmax()

static void plf2ops_c_minmax | ( | PLPointer | p,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax
| ) |  |
| static

Definition at line 83 of file plf2ops.c.

## ◆ plf2ops_c_mul()

static PLFLT plf2ops_c_mul | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 65 of file plf2ops.c.

## ◆ plf2ops_c_set()

static PLFLT plf2ops_c_set | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 47 of file plf2ops.c.

## ◆ plf2ops_c_sub()

static PLFLT plf2ops_c_sub | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 59 of file plf2ops.c.

## ◆ plf2ops_grid_c()

PLF2OPS plf2ops_grid_c | ( | void |  | ) |

Definition at line 233 of file plf2ops.c.

## ◆ plf2ops_grid_c_add()

static PLFLT plf2ops_grid_c_add | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 155 of file plf2ops.c.

## ◆ plf2ops_grid_c_div()

static PLFLT plf2ops_grid_c_div | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 173 of file plf2ops.c.

## ◆ plf2ops_grid_c_f2eval()

static PLFLT plf2ops_grid_c_f2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | p
| ) |  |
| static

Definition at line 143 of file plf2ops.c.

## ◆ plf2ops_grid_c_get()

static PLFLT plf2ops_grid_c_get | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 137 of file plf2ops.c.

## ◆ plf2ops_grid_c_isnan()

static PLINT plf2ops_grid_c_isnan | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 179 of file plf2ops.c.

## ◆ plf2ops_grid_c_minmax()

static void plf2ops_grid_c_minmax | ( | PLPointer | p,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax
| ) |  |
| static

Definition at line 185 of file plf2ops.c.

## ◆ plf2ops_grid_c_mul()

static PLFLT plf2ops_grid_c_mul | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 167 of file plf2ops.c.

## ◆ plf2ops_grid_c_set()

static PLFLT plf2ops_grid_c_set | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 149 of file plf2ops.c.

## ◆ plf2ops_grid_c_sub()

static PLFLT plf2ops_grid_c_sub | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 161 of file plf2ops.c.

## ◆ plf2ops_grid_col_major()

PLF2OPS plf2ops_grid_col_major | ( | void |  | ) |

Definition at line 430 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_add()

static PLFLT plf2ops_grid_col_major_add | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 383 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_div()

static PLFLT plf2ops_grid_col_major_div | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 404 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_f2eval()

static PLFLT plf2ops_grid_col_major_f2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | p
| ) |  |
| static

Definition at line 369 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_get()

static PLFLT plf2ops_grid_col_major_get | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 362 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_isnan()

static PLINT plf2ops_grid_col_major_isnan | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 411 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_mul()

static PLFLT plf2ops_grid_col_major_mul | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 397 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_set()

static PLFLT plf2ops_grid_col_major_set | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 376 of file plf2ops.c.

## ◆ plf2ops_grid_col_major_sub()

static PLFLT plf2ops_grid_col_major_sub | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 390 of file plf2ops.c.

## ◆ plf2ops_grid_row_major()

PLF2OPS plf2ops_grid_row_major | ( | void |  | ) |

Definition at line 348 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_add()

static PLFLT plf2ops_grid_row_major_add | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 268 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_div()

static PLFLT plf2ops_grid_row_major_div | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 289 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_f2eval()

static PLFLT plf2ops_grid_row_major_f2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | p
| ) |  |
| static

Definition at line 254 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_get()

static PLFLT plf2ops_grid_row_major_get | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 247 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_isnan()

static PLINT plf2ops_grid_row_major_isnan | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy
| ) |  |
| static

Definition at line 296 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_mul()

static PLFLT plf2ops_grid_row_major_mul | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 282 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_set()

static PLFLT plf2ops_grid_row_major_set | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 261 of file plf2ops.c.

## ◆ plf2ops_grid_row_major_sub()

static PLFLT plf2ops_grid_row_major_sub | ( | PLPointer | p,
|  | PLINT | ix,
|  | PLINT | iy,
|  | PLFLT | z
| ) |  |
| static

Definition at line 275 of file plf2ops.c.

## ◆ plf2ops_grid_xxx_major_minmax()

static void plf2ops_grid_xxx_major_minmax | ( | PLPointer | p,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT * | zmin,
|  | PLFLT * | zmax
| ) |  |
| static

Definition at line 303 of file plf2ops.c.

## Variable Documentation

## ◆ s_plf2ops_c

plf2ops_t s_plf2ops_c
| static

Initial value:
= {
plf2ops_c_get,
plf2ops_c_set,
plf2ops_c_add,
plf2ops_c_sub,
plf2ops_c_mul,
plf2ops_c_div,
plf2ops_c_isnan,
plf2ops_c_minmax,
plf2ops_c_f2eval
}
plf2ops_c_sub
static PLFLT plf2ops_c_sub(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:59
plf2ops_c_minmax
static void plf2ops_c_minmax(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
Definition: plf2ops.c:83
plf2ops_c_add
static PLFLT plf2ops_c_add(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:53
plf2ops_c_f2eval
static PLFLT plf2ops_c_f2eval(PLINT ix, PLINT iy, PLPointer p)
Definition: plf2ops.c:41
plf2ops_c_isnan
static PLINT plf2ops_c_isnan(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:77
plf2ops_c_get
static PLFLT plf2ops_c_get(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:35
plf2ops_c_set
static PLFLT plf2ops_c_set(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:47
plf2ops_c_mul
static PLFLT plf2ops_c_mul(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:65
plf2ops_c_div
static PLFLT plf2ops_c_div(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:71

Definition at line 113 of file plf2ops.c.

## ◆ s_plf2ops_grid_c

plf2ops_t s_plf2ops_grid_c
| static

Initial value:
= {
plf2ops_grid_c_get,
plf2ops_grid_c_set,
plf2ops_grid_c_add,
plf2ops_grid_c_sub,
plf2ops_grid_c_mul,
plf2ops_grid_c_div,
plf2ops_grid_c_isnan,
plf2ops_grid_c_minmax,
plf2ops_grid_c_f2eval
}
plf2ops_grid_c_mul
static PLFLT plf2ops_grid_c_mul(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:167
plf2ops_grid_c_div
static PLFLT plf2ops_grid_c_div(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:173
plf2ops_grid_c_sub
static PLFLT plf2ops_grid_c_sub(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:161
plf2ops_grid_c_add
static PLFLT plf2ops_grid_c_add(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:155
plf2ops_grid_c_isnan
static PLINT plf2ops_grid_c_isnan(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:179
plf2ops_grid_c_set
static PLFLT plf2ops_grid_c_set(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:149
plf2ops_grid_c_get
static PLFLT plf2ops_grid_c_get(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:137
plf2ops_grid_c_f2eval
static PLFLT plf2ops_grid_c_f2eval(PLINT ix, PLINT iy, PLPointer p)
Definition: plf2ops.c:143
plf2ops_grid_c_minmax
static void plf2ops_grid_c_minmax(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
Definition: plf2ops.c:185

Definition at line 220 of file plf2ops.c.

## ◆ s_plf2ops_grid_col_major

plf2ops_t s_plf2ops_grid_col_major

Initial value:
= {
plf2ops_grid_col_major_get,
plf2ops_grid_col_major_set,
plf2ops_grid_col_major_add,
plf2ops_grid_col_major_sub,
plf2ops_grid_col_major_mul,
plf2ops_grid_col_major_div,
plf2ops_grid_col_major_isnan,
plf2ops_grid_xxx_major_minmax,
plf2ops_grid_col_major_f2eval
}
plf2ops_grid_col_major_f2eval
static PLFLT plf2ops_grid_col_major_f2eval(PLINT ix, PLINT iy, PLPointer p)
Definition: plf2ops.c:369
plf2ops_grid_xxx_major_minmax
static void plf2ops_grid_xxx_major_minmax(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
Definition: plf2ops.c:303
plf2ops_grid_col_major_sub
static PLFLT plf2ops_grid_col_major_sub(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:390
plf2ops_grid_col_major_mul
static PLFLT plf2ops_grid_col_major_mul(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:397
plf2ops_grid_col_major_div
static PLFLT plf2ops_grid_col_major_div(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:404
plf2ops_grid_col_major_get
static PLFLT plf2ops_grid_col_major_get(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:362
plf2ops_grid_col_major_add
static PLFLT plf2ops_grid_col_major_add(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:383
plf2ops_grid_col_major_set
static PLFLT plf2ops_grid_col_major_set(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:376
plf2ops_grid_col_major_isnan
static PLINT plf2ops_grid_col_major_isnan(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:411

Definition at line 417 of file plf2ops.c.

## ◆ s_plf2ops_grid_row_major

plf2ops_t s_plf2ops_grid_row_major
| static

Initial value:
= {
plf2ops_grid_row_major_get,
plf2ops_grid_row_major_set,
plf2ops_grid_row_major_add,
plf2ops_grid_row_major_sub,
plf2ops_grid_row_major_mul,
plf2ops_grid_row_major_div,
plf2ops_grid_row_major_isnan,
plf2ops_grid_xxx_major_minmax,
plf2ops_grid_row_major_f2eval
}
plf2ops_grid_xxx_major_minmax
static void plf2ops_grid_xxx_major_minmax(PLPointer p, PLINT nx, PLINT ny, PLFLT *zmin, PLFLT *zmax)
Definition: plf2ops.c:303
plf2ops_grid_row_major_add
static PLFLT plf2ops_grid_row_major_add(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:268
plf2ops_grid_row_major_mul
static PLFLT plf2ops_grid_row_major_mul(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:282
plf2ops_grid_row_major_isnan
static PLINT plf2ops_grid_row_major_isnan(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:296
plf2ops_grid_row_major_sub
static PLFLT plf2ops_grid_row_major_sub(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:275
plf2ops_grid_row_major_f2eval
static PLFLT plf2ops_grid_row_major_f2eval(PLINT ix, PLINT iy, PLPointer p)
Definition: plf2ops.c:254
plf2ops_grid_row_major_div
static PLFLT plf2ops_grid_row_major_div(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:289
plf2ops_grid_row_major_get
static PLFLT plf2ops_grid_row_major_get(PLPointer p, PLINT ix, PLINT iy)
Definition: plf2ops.c:247
plf2ops_grid_row_major_set
static PLFLT plf2ops_grid_row_major_set(PLPointer p, PLINT ix, PLINT iy, PLFLT z)
Definition: plf2ops.c:261

Definition at line 335 of file plf2ops.c.